# std::input_iterator_tag Struct Reference
[Iterator Tags]

Marking input iterators. More...

`#include <stl_iterator_base_types.h>`

Inheritance diagram for std::input_iterator_tag:

[legend]

## Detailed Description

Marking input iterators.

Definition at line 80 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h